cg-proc(1)

NAME
cg-proc - This application is part of ( cg3 )

This tool is part of the CG-3 constraint grammar system: https://visl.sdu.dk/cg3.html.

SYNOPSIS
cg-proc [OPTIONS] grammar_file [input_file [output_file]]

DESCRIPTION
cg-proc is the grammar parser and disambiguator in the VISL constraint grammar system. It chooses between different analyses (or "readings") of a word delivered by a morphological analyser based on a set of grammatical rules.

By default, cg-proc reads input from stdin and writes output to stdout. The binary grammar files read by the parser are generated by cg-comp(1)

OPTIONS

-d: morphological disambiguation (default behaviour)

-s: specify number of sections to process

-f: set the format of the I/O stream to NUM,

    where `0' is VISL format and `1' is Apertium format (default: 1)

-r: run only the named rule

-t: print debug output on stderr

-w: enforce surface case on lemma/baseform

    (to work with -w option of lt-proc)

-n: do not print out the word form of each cohort

-1: only output the first analysis if ambiguity remains

-z: flush output on the null character

-v: version

-h: show this help

SEE ALSO
cg-comp(1), vislcg3(1)

BUGS
Email to: Tino Didriksen <mail@tinodidriksen.com>

AUTHOR
(c) 2007-2014 GrammarSoft ApS